db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Knut Anders Hatlen (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (DERBY-4045) Subquery causes error: 'updateString' not allowed because the ResultSet is not an updatable ResultSet
Date Fri, 03 Jul 2009 11:01:47 GMT

     [ https://issues.apache.org/jira/browse/DERBY-4045?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Knut Anders Hatlen resolved DERBY-4045.
---------------------------------------

    Resolution: Invalid

Triaged for 10.5.2. Marking the bug as invalid, as suggested by Dag, since it is now a documented
limitation. Feel free to open a new improvement issue to allow these queries.

> Subquery causes error: 'updateString' not allowed because the ResultSet is not an updatable
ResultSet
> -----------------------------------------------------------------------------------------------------
>
>                 Key: DERBY-4045
>                 URL: https://issues.apache.org/jira/browse/DERBY-4045
>             Project: Derby
>          Issue Type: Bug
>          Components: SQL
>            Reporter: John T. Dow
>
> Embedded Derby (don't know about client) demoted an updatable result set apparently due
to a nested query.
> select * from orders where (orders.recordno = (select max(orders.recordno) from orders))
> Fix if possible. 
> If it can't be fixed, the documentation should be changed.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message